[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.States

Contains the state values in effect for the control.

## Declaration

Source position: comctrls.pp line 3644

`protected property TCustomTreeView.States : TTreeViewStates read FStates;`

## Description

States is a read-only TTreeViewStates property which contains the state values in effect for the control. Value from the TTreeViewState enumeration are included in the set type to indicate that the corresponding state is "ON", "TRUE", or "ACTIVE". See TTreeViewState for more information about the enumeration values and their meanings.

## See also

TTreeViewStates |  | Set type used to store values from the TTreeViewState enumeration.
TTreeViewState |  | TTreeViewState - enumerated type containing the permissible values for state of a TTreeView.